## com.gargoylesoftware.htmlunit
Class FailingHttpStatusCodeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.gargoylesoftware.htmlunit.FailingHttpStatusCodeException

All Implemented Interfaces:
  java.io.Serializable

    public class FailingHttpStatusCodeException

extends java.lang.RuntimeException

An exception that is thrown when the server returns a failing status code.

Version:
  $Revision: 4463 $
Author:
  Mike Bowler, Marc Guillemot
See Also:
  Serialized Form

Constructor Summary
`FailingHttpStatusCodeException(WebResponse failingResponse)` Creates an instance.

Method Summary
`java.lang.String` `getMessage()`
`WebResponse` `getResponse()` Gets the failing response.
`int` `getStatusCode()` Returns the failing status code.
`java.lang.String` `getStatusMessage()` Returns the message associated with the failing status code.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FailingHttpStatusCodeException

    public FailingHttpStatusCodeException(WebResponse failingResponse)

  Creates an instance.

  Parameters:
    `failingResponse` - the failing response

Method Detail

### getStatusCode

    public int getStatusCode()

  Returns the failing status code.

  Returns:
    the code

### getStatusMessage

    public java.lang.String getStatusMessage()

  Returns the message associated with the failing status code.

  Returns:
    the message

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getResponse

    public WebResponse getResponse()

  Gets the failing response.

  Returns:
    the response

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.